#include <iostream>

using namespace std;

int main()
{
    int a, b, L;

    cin >> a >> b >> L;

    if (a < b)
    {
        swap(a, b);
    }

    int ans = min(a + b - 1, L);

    for (int i = a + b + 1; i <= L; i++)
    {
        int limit = i / a;
        bool f = 0;

        if (i % a < b)
        {
            limit--;
        }

        for (int q = 1; q <= limit; q++)
        {
            int ost = i - (a * q);

            if (ost % b == 0)
            {
                f = 1;

                break;
            }
        }

        if (!f)
        {
            ans++;
        }
    }

    cout << ans << endl;

    return 0;
}
